﻿//
// WindowsFormsCSharp
//
// Copyright (c) 2016 http://www.curict.com
// This software is released under the MIT License, see LICENSE.txt.
//

using System;
using System.Data;
using System.Windows.Forms;

namespace WindowsFormsCSharp
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            // 1.DataGridViewColumnオブジェクトを生成
            DataGridViewTextBoxColumn textColumn = new DataGridViewTextBoxColumn();

            // 2.セルに表示するデータソースの指定(DataRowの列名や、独自クラスのプロパティ名を指定)
            textColumn.DataPropertyName = "col1";

            // 3.ヘッダーのテキスト
            textColumn.HeaderText = "データ";

            // 4.列の表示／非表示
            textColumn.Visible = true;

            // 5.列幅
            textColumn.Width = 200;

            // 6.読み取り専用
            textColumn.ReadOnly = false;

            // 7.ユーザーによる列幅の変更可否
            textColumn.Resizable = DataGridViewTriState.True;

            // 8.列を追加
            this.dataGridView1.Columns.Add(textColumn);

            // ここから、データグリッドビューの設定
            // 9.列の自動生成をオフに
            this.dataGridView1.AutoGenerateColumns = false;

            // データグリッドビューにデータを渡す
            DataTable dataTable = this.MakeDataTable();
            this.dataGridView1.DataSource = dataTable;
        }

        /// <summary>
        /// テスト用のデータテーブルを作成
        /// </summary>
        private DataTable MakeDataTable()
        {
            DataTable dataTable = new DataTable();
            dataTable.Columns.Add("col1");
            dataTable.Columns.Add("col2");
            dataTable.Columns.Add("col3");
            for (int i = 0; i < 5; i++)
            {
                DataRow row = dataTable.NewRow();
                row["col1"] = "data" + i.ToString();
                row["col2"] = "data" + i.ToString();
                row["col3"] = "data" + i.ToString();
                dataTable.Rows.Add(row);
            }
            return dataTable;
        }
    }
}
